version: 1
disable_existing_loggers: False
formatters:
    formatter_console:
        style: "{"
        format: "({filename}:{lineno:<3}) {name} {levelname} - {message}"
        # datefmt: "%Y-%m-%d %H:%M:%S"
    formatter_file:
        style: "{"
        format: "{asctime} ({filename}:{lineno}) {name} {levelname} - {message}"
        datefmt: "%Y-%m-%d %H:%M:%S"
handlers:
    chandler:
        class: logging.StreamHandler
        level: DEBUG
        formatter: formatter_console
        stream: ext://sys.stdout
    fh_server_chat:
        class: logging.FileHandler
        level: DEBUG
        formatter: formatter_file
        filename: logs/chat_server.log
    fh_chat:
        class: logging.FileHandler
        level: DEBUG
        formatter: formatter_file
        filename: logs/chat_client.log
loggers:
    __main__:
        level: DEBUG
        handlers: [chandler]
        propagate: no
    beewatch:
        level: DEBUG
        handlers: [chandler]
        propagate: no
    digilib:
        level: DEBUG
        handlers: [chandler]
        propagate: no
    digilib.network:
        handlers: [chandler]
        propagate: no
    digilib.network.server.chat:
        handlers: [chandler]
        propagate: no
        # handlers: [chandler,fh_client_chat]
    digilib.network.client.chat:
        handlers: [chandler]
        propagate: no
        # handlers: [chandler,fh_client_chat]


































#
